Skip to main content
GET
Request a certificate

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Query Parameters

user_name
string
required

User name identifier (case-insensitive)

enrolment_id
integer
required

Topic enrolment ID or pathway enrolment ID. The enrolment must belong to the user

knowledge_type
enum<string>
required

Enrolment type. Allowed values: topic, pathway

Available options:
topic,
pathway

Response

Accepted - Certificate job has been queued

job_id
string

The certificate job identifier

status
enum<string>
Available options:
pending,
complete,
failed
url
string

Present when status is complete. Temporary pre-signed URL of the certificate PDF. It expires after 15 minutes. See Download certificate PDF

error
string

Present when status is failed